## Games

[[Broken Seals]](https://github.com/Relintai/broken_seals) - An open source third person action RPG with multiplayer support.

[[Broken Seals Roguelike]](https://github.com/Relintai/broken_seals_roguelike) - An experimental 2d rogulike (turn based) version of Broken Seals.

[[Broken Seals 2d]](https://github.com/Relintai/broken_seals_2d) - An experimantal 2d version of Broken Seals.\
[[Broken Seals 2ds]](https://github.com/Relintai/broken_seals_2ds) - An experimantal 2d version of Broken Seals, but with the simplistic graphics I can get away with.

[[The Tower]](https://github.com/Relintai/the_tower) - A really simple and strange looking demonstration project for Voxelman.\
[[The Tower Pandemonium]](https://github.com/Relintai/the_tower_pandemonium) - A really simple and strange looking demonstration project for Voxelman in the Pandemonium Engine.

[[Utilities / Gamedev]](https://github.com/Relintai/utilities_gamedev) - Gamedev related utilities like addons and small scripts for godot / pandemonium. 

## Web

[[Pandemonium CMS]](https://github.com/Relintai/pandemonium_cms) - A Pandemonium Engine based experimantal Content Management System for the Web. 

## Pandemonium Engine

[[Pandemonium Engine]](https://github.com/Relintai/pandemonium_engine) - A fork of godot that is very heavily customized.\
[[Docs]](https://github.com/Relintai/pandemonium_engine_docs) - Docs for the Pandemonium Engine.\
[[Demo Projects]](https://github.com/Relintai/pandemonium_demo_projects) - Demonstration and Template Projects.

### Modules

[[Webp]](https://github.com/Relintai/webp) - Module that adds support for webp.\
[[Webm]](https://github.com/Relintai/webm) - Module that adds support for webm.\
[[Gif Loader]](https://github.com/Relintai/gif_loader) - Gif loader module for the pandemonium engine.\
[[PMLPP]](https://github.com/Relintai/pmlpp) - Machine Learning module for the Pandemonium Engine. ([Sample project](https://github.com/Relintai/pmlpp_sample)), ([Standalone sample project](https://github.com/Relintai/pmlpp_standalone_sample))\
[[Mono]](https://github.com/Relintai/mono) - C# support module for the Pandemonium Engine. ([Sample project](https://github.com/Relintai/mono_sample))

#### GDNative Addons

[[GDNative CPP]](https://github.com/Relintai/gdnative_cpp) - C++ bindings for the GDNative module. ([Sample project](https://github.com/Relintai/gdnative_cpp_sample))\
[[GDNative Python]](https://github.com/Relintai/gdnative_python) - Python bindings for the GDNative module. ([Sample project](https://github.com/Relintai/gdnative_python_sample))

## Godot / Pandemonium Addons

[[Data Manager]](https://github.com/Relintai/data_manager) - An editor addon that helps organizing modular projects.\
[[World Generator]](https://github.com/Relintai/world_generator_addon) - An addon with an editor plugin to help with generating pseudo random worlds.\
[[GDC Converter]](https://github.com/Relintai/gdc_converter) - An addon which can help with converting typed gdscript and scenes to c++ (with some manual intervention).\
[[GDFXR]](https://github.com/Relintai/gdfxr) - timothyqiu's sfxr Godot editor plugin ported to Pandemonium.\
[[Godot-Simple-TODO]](https://github.com/Relintai/Godot-Simple-TODO) - KoBeWi's Godot Simple TODO Godot editor plugin ported to Pandemonium.\
[[Godot Translation Editor]](https://github.com/Relintai/godot_translation_editor) - Zylann's Godot Translation Editor Godot editor plugin ported to Pandemonium.\
[[Godot Resources as Sheets Plugin]](https://github.com/Relintai/godot-resources-as-sheets-plugin) - don-tnowe's Godot Resources as Sheets editor plugin ported to Pandemonium.

[[Mat Maker GD]](https://github.com/Relintai/mat_maker_gd) - RodZill4's material-maker ported to the cpu (a.k.a. full gdscript with threading). ([C++ Port](https://github.com/Relintai/pandemonium_engine/tree/master/modules/material_maker) - Available in the pandemonium engine by default.)\
[[Mesh Data Resource Editor]](https://github.com/Relintai/broken_seals/tree/master/game/addons/mesh_data_resource_editor) - An addon that lets you edit [MeshDataResources](https://github.com/Relintai/mesh_data_resource/blob/master/mesh_data_resource.h) right from within godot. (It's a 3d modelling addon.) ([C++ Port](https://github.com/Relintai/pandemonium_engine/tree/master/modules/mesh_data_resource) - Available in the pandemonium engine by default.)


## Godot Engine Modules

[[Entity Spell System]](https://github.com/Relintai/entity_spell_system) - An entity and spell system c++ godot engine module, for complex (optionally multiplayer) RPGs.

[[Terraman]](https://github.com/Relintai/terraman) - Terrain and building engine for godot based on voxelman.\
[[Voxelman]](https://github.com/Relintai/voxelman) - A c++ voxel engine module for godot. \
[[Props]](https://github.com/Relintai/props) - A godot engine module to help with creating/optimizing in-game props.

[[Terraman2D]](https://github.com/Relintai/terraman_2d) - 2D Terrain and building engine for godot based on terraman.\
[[Props2D]](https://github.com/Relintai/props_2d) - A godot engine module to help with creating/optimizing in-game 2D props.

[[Thread Pool]](https://github.com/Relintai/thread_pool) - A c++ Godot engine module which makes it easy to run methods in threads.

[[Texture Packer]](https://github.com/Relintai/texture_packer) - A c++ Godot engine module, to layer, pack, and merge textures at runtime.

[[Mesh Data Resource]](https://github.com/Relintai/mesh_data_resource) - A Godot c++ engine module. It adds a data-only mesh type with an importer.\
[[Mesh Utils]](https://github.com/Relintai/mesh_utils) - A c++ Godot engine module containing utilites for working with mehses (Like simplification).

[[Godot Fastnoise]](https://github.com/Relintai/godot_fastnoise) - Zylann's godot_fastnoise, but with compile fixes for 4.0, and a Resource class.\
[[UI Extensions]](https://github.com/Relintai/ui_extensions) - Small extensions engine module for GODOT.

[[World Generator]](https://github.com/Relintai/world_generator) - A c++ engine module for the godot engine. Contains lots of classes to help with world generation.

### Deprecated

[[Procedural Animations]](https://github.com/Relintai/procedural_animations) - A c++ engine module for godot, that lets you create new animations from animation frames. (Deprecated)\
[[Skeleton Editor]](https://github.com/Relintai/skeleton_editor) - Godot engine module version of TokageItLab's skeleton editor pr, that got deprecated, but [[my godot fork]](https://github.com/Relintai/godot/tree/3.x) has it fully implemented. See [[PATCHES.md]](https://github.com/Relintai/godot/blob/3.x/PATCHES.md).\
[[Tile Map Backport]](https://github.com/Relintai/tile_map_backport) - Unfinished backport of godot 4.0's tile map to 3.x. It's an egine module so no core modifications are necessary. It's unfinished and will likely stay like that aswell. It compiles, parts of it work, but still has some crashes remaining. Probably won't take much time to get it fixed.

## WoW Addons

[[Relintai's Enemy "Kooldown" Tracker - TBC]](https://github.com/Relintai/Relintais-Enemy-Kooldown-Tracker-TBC) - 
This is a PvP cooldown tracker addon for World of Warcraft 2.4.3. (the old client)\
[[Relintai's Enemy "Kooldown" Tracker - WotLK]](https://github.com/Relintai/Relintais-Enemy-Kooldown-Tracker-WotLK) - 
This is a PvP cooldown tracker addon for World of Warcraft 3.3.5a. (the old client)

## Other

[[SFW]](https://github.com/Relintai/sfw) - Simple c++ app / game framework inspired by the single file c game engines 
and libraries, especially [FWK](https://github.com/r-lyeh/FWK).

[[MemR]](https://github.com/Relintai/MemR) - Small cross platform utility to help you organize images into folders.\
[[UML Generator]](https://github.com/Relintai/uml_generator) - A tool to help with generating UML class diagrams from code with minimal changes.\
[[YTDL Link Gen]](https://github.com/Relintai/ytdl_link_gen) - A little python script that helps archiving youtube (and other) channels using yt-dlp. 

[[Programming Tutorials]](https://github.com/Relintai/programming_tutorials) - Hungarian programming tutorials.

[[ELTE IK Thesis]](https://github.com/Relintai/elteikthesis) - Simplified ELTE FI bachelor and master thesis template.

[[Documents]](https://github.com/Relintai/Documents) - A bunch of university (early BsC) related things. Mostly LATeX files mostly about math (like axioms/definitions/proofs) in hungarian.


### RCPP Framework

[[RCPP Framework]](https://github.com/Relintai/rcpp_framework) - An experimental c++ app/http framework. (Only works on linux right now.) I consider this deprecated, as I ended up merging all of it's functionality into the [[Pandemonium Engine]](https://github.com/Relintai/pandemonium_engine). See [[here]](https://github.com/Relintai/pandemonium_engine/tree/master/modules/web), and [[here]](https://github.com/Relintai/pandemonium_engine/tree/master/modules/database).

[[WordPress Saver]](https://github.com/Relintai/wp_saver_rcpp_fw) - A simple app that lets you save wordpress blogs using RCPP Framework.\
[[CrystalCMS]](https://github.com/Relintai/crystal_cms_rcpp_fw) - An old CMS of mine that was originally written for/in laravel now ported to RCPP Framework. (The port is in early stages.)\
[[Simple Data Collector App]](https://github.com/Relintai/rcpp_sample_simple_data_collector_app) - Sample data collector app for RCPP Framework. 

[[Mourne]](https://github.com/Relintai/mourne_rcpp_fw) - 
An old village builder / hero manager web rpg ported to [[RCPP Framework]](https://github.com/Relintai/rcpp_framework). (The port is in early stages.) 

### Book

[[ELTE Digitális kultúra - Érettségi felkészítő gyakorlati feladatsorok]](https://github.com/Relintai/elte_digit_kult_erettsegi_felkeszito_2024) - Források és megoldások az ELTE Digitális kultúra - Érettségi felkészítő gyakorlati feladatsorok - Emelt Szint (2024) könyvhöz.
